slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVResize

Change the number of columns.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVResize(BV bv,PetscInt m,PetscBool copy)

Collective

### Input Parameters

| bv | - the basis vectors
| m | - the new number of columns
| copy | - a flag indicating whether current values should be kept

### Note

Internal storage is reallocated. If the copy flag is set to true, then the contents are copied to the leading part of the new space.

### See Also

BVSetSizes(), BVSetSizesFromVec()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages